# Uses of Class
org.apache.zookeeper.server.quorum.QuorumPeer.QuorumServer

Packages that use QuorumPeer.QuorumServer
Package
Description
org.apache.zookeeper.server.quorum
org.apache.zookeeper.server.quorum.flexible

## Uses of QuorumPeer.QuorumServer in org.apache.zookeeper.server.quorum

Methods in org.apache.zookeeper.server.quorum that return QuorumPeer.QuorumServer
Modifier and Type
Method
Description
`protected QuorumPeer.QuorumServer`
Learner.`findLeader()`
Returns the address of the node we think is the leader.
`QuorumPeer.QuorumServer`
Observer.`getCurrentLearnerMaster()`
Methods in org.apache.zookeeper.server.quorum that return types with arguments of type QuorumPeer.QuorumServer
Modifier and Type
Method
Description
`Map<Long, QuorumPeer.QuorumServer>`
QuorumPeer.`getObservingView()`
Returns only observers, no followers.
`Map<Long, QuorumPeer.QuorumServer>`
QuorumPeerConfig.`getServers()`
`Map<Long, QuorumPeer.QuorumServer>`
QuorumPeer.`getView()`
A 'view' is a node's current opinion of the membership of the entire ensemble.
`Map<Long, QuorumPeer.QuorumServer>`
QuorumPeer.`getVotingView()`
Observers are not contained in this view, only nodes with PeerType=PARTICIPANT.
Methods in org.apache.zookeeper.server.quorum with parameters of type QuorumPeer.QuorumServer
Modifier and Type
Method
Description
`void`
QuorumPeer.QuorumServer.`checkAddressDuplicate(QuorumPeer.QuorumServer s)`
`void`
RemotePeerBean.`setQuorumServer(QuorumPeer.QuorumServer peer)`
Method parameters in org.apache.zookeeper.server.quorum with type arguments of type QuorumPeer.QuorumServer
Modifier and Type
Method
Description
`protected static int`
QuorumPeer.`countParticipants(Map<Long, QuorumPeer.QuorumServer> peers)`
Count the number of nodes in the map that could be followers.
Constructors in org.apache.zookeeper.server.quorum with parameters of type QuorumPeer.QuorumServer
Modifier
Constructor
Description
``
`RemotePeerBean(QuorumPeer localPeer, QuorumPeer.QuorumServer peer)`
Constructor parameters in org.apache.zookeeper.server.quorum with type arguments of type QuorumPeer.QuorumServer
Modifier
Constructor
Description
``
`QuorumCnxManager(QuorumPeer self, long mySid, Map<Long, QuorumPeer.QuorumServer> view, QuorumAuthServer authServer, QuorumAuthLearner authLearner, int socketTimeout, boolean listenOnAllIPs, int quorumCnxnThreadsSize, boolean quorumSaslAuthEnabled)`
``
`QuorumPeer(Map<Long, QuorumPeer.QuorumServer> quorumPeers, File snapDir, File logDir, int clientPort, int electionAlg, long myid, int tickTime, int initLimit, int syncLimit, int connectToLearnerMasterLimit)`
This constructor is only used by the existing unit test code.
``
`QuorumPeer(Map<Long, QuorumPeer.QuorumServer> quorumPeers, File snapDir, File logDir, int clientPort, int electionAlg, long myid, int tickTime, int initLimit, int syncLimit, int connectToLearnerMasterLimit, String oraclePath)`
``
`QuorumPeer(Map<Long, QuorumPeer.QuorumServer> quorumPeers, File snapDir, File logDir, int clientPort, int electionAlg, long myid, int tickTime, int initLimit, int syncLimit, int connectToLearnerMasterLimit, QuorumVerifier quorumConfig)`
This constructor is only used by the existing unit test code.
``
`QuorumPeer(Map<Long, QuorumPeer.QuorumServer> quorumPeers, File dataDir, File dataLogDir, int electionType, long myid, int tickTime, int initLimit, int syncLimit, int connectToLearnerMasterLimit, boolean quorumListenOnAllIPs, ServerCnxnFactory cnxnFactory, QuorumVerifier quorumConfig)`
``
`QuorumPeer(Map<Long, QuorumPeer.QuorumServer> quorumPeers, File dataDir, File dataLogDir, int electionType, long myid, int tickTime, int initLimit, int syncLimit, int connectToLearnerMasterLimit, ServerCnxnFactory cnxnFactory)`
For backward compatibility purposes, we instantiate QuorumMaj by default.

## Uses of QuorumPeer.QuorumServer in org.apache.zookeeper.server.quorum.flexible

Methods in org.apache.zookeeper.server.quorum.flexible that return types with arguments of type QuorumPeer.QuorumServer
Modifier and Type
Method
Description
`Map<Long, QuorumPeer.QuorumServer>`
QuorumHierarchical.`getAllMembers()`
`Map<Long, QuorumPeer.QuorumServer>`
QuorumMaj.`getAllMembers()`
`Map<Long, QuorumPeer.QuorumServer>`
QuorumVerifier.`getAllMembers()`
`Map<Long, QuorumPeer.QuorumServer>`
QuorumHierarchical.`getObservingMembers()`
`Map<Long, QuorumPeer.QuorumServer>`
QuorumMaj.`getObservingMembers()`
`Map<Long, QuorumPeer.QuorumServer>`
QuorumVerifier.`getObservingMembers()`
`Map<Long, QuorumPeer.QuorumServer>`
QuorumHierarchical.`getVotingMembers()`
`Map<Long, QuorumPeer.QuorumServer>`
QuorumMaj.`getVotingMembers()`
`Map<Long, QuorumPeer.QuorumServer>`
QuorumVerifier.`getVotingMembers()`
Constructor parameters in org.apache.zookeeper.server.quorum.flexible with type arguments of type QuorumPeer.QuorumServer
Modifier
Constructor
Description
``
`QuorumMaj(Map<Long, QuorumPeer.QuorumServer> allMembers)`
Defines a majority to avoid computing it every time.
``
`QuorumOracleMaj(Map<Long, QuorumPeer.QuorumServer> allMembers, String oraclePath)`